Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList Class Reference

ContentTypeGroup list view model. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList:

## Public Member Functions
| __construct (ContentType $contentType, array $contentTypeGroups)
| Construct. More...

## Public Attributes
| $contentType
| $contentTypeGroups

## Detailed Description

ContentTypeGroup list view model.

Definition at line 15 of file Server/Values/ContentTypeGroupRefList.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList::__construct | ( | ContentType | $contentType,
|  | array | $contentTypeGroups
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType |
  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeGroup[] | $contentTypeGroups |

Definition at line 37 of file Server/Values/ContentTypeGroupRefList.php.

References eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList\$contentType, and eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList\$contentTypeGroups.

## Member Data Documentation

## ◆ $contentType

eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList::$contentType

Definition at line 22 of file Server/Values/ContentTypeGroupRefList.php.

Referenced by eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList\__construct().

## ◆ $contentTypeGroups

eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList::$contentTypeGroups

Definition at line 29 of file Server/Values/ContentTypeGroupRefList.php.

Referenced by eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList\__construct().

The documentation for this class was generated from the following file:

- Server/Values/ContentTypeGroupRefList.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.